Bug 659085 - .NET API content needs to be put back into the Programming manual
Summary: .NET API content needs to be put back into the Programming manual
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference
Version: 1.3
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: 1.3.1
: ---
Assignee: Lana Brindley
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On: 652506
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 21:42 UTC by Ted Ross
Modified: 2013-10-23 23:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-15 00:18:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
The source for the updated guide (188.44 KB, application/xml)
2010-12-02 20:52 UTC, Ted Ross
no flags Details

Description Ted Ross 2010-12-01 21:42:26 UTC
When the Programming manual was prepared fro the MRG 1.3 release, the .NET API content was removed pending the official release of the .NET interface.

This content needs to be re-added to the document.

Comment 2 Ted Ross 2010-12-02 20:52:37 UTC
Created attachment 464368 [details]
The source for the updated guide

Comment 7 Susan Burgess 2010-12-06 10:04:10 UTC
ALison, how much writing from scratch and how much is to be copied from existing docs?
how many pages and what dates are we talking about here?

Comment 8 Lana Brindley 2010-12-08 03:32:23 UTC
Please refer to https://engineering.redhat.com/trac/ContentServices/wiki/MRG131DocPlan for details of this project.

I note the following points in regard to this project:

* Documentation written by engineers that has not gone through ECS documentation processes is not considered Red Hat standard, and no responsibility will be taken by ECS authors for the accuracy or quality of the text
* The editorial review provided by ECS in this case is a peer edit, done under extreme time pressure. It does not constitute a technical review or a QE review
* Due to the nature of this project, and the points made above, an extra deliverable has been added to the MRG 2.0 documentation project to review and correct the documentation changed as part of 1.3.1. This will impact the schedule for 2.0.
* Alison Young is unavailable for this project, so it will be picked up by Lana Brindley. Please contact Lana directly for any concerns or questions about this project, as she is not currently subscribed to MRG mailing lists.

Irina, can you please sign off on this project as soon as possible, so that work can begin.

Cheers,
Lana

Comment 9 Frantisek Reznicek 2010-12-09 12:12:45 UTC
Programming in Apache Qpid rev 1.2 Review:

Example 2.3,
  'if (null != connection)' if a bit weird, suggested 'if (connection != null)'


2.8 'Receiving Messages from Multiple Sources'
  Description of “next receiver” should improve to provide crystal description where messages are comming from.


Example 2.17. Sending Qpid Maps in .NET C
  The code snippet should contain complete .NET C# using header.
  Correct me if I'm wrong, but I believe following two are missing:
    using System.Collections.Generic;
    using System.Collections.ObjectModel;


2.15[.3] Logging in .NET c# client is missing
  No info provided, but there should be at least basic information.


2.17. The AMQP 0-10 mapping
  Table 2.10 does not provide mesage properties mapping for .NET / C# (just python and c++)


4. .NET Binding for Qpid C++ Messaging
  Information of target .NET version is missing.

4.2. .NET Binding for the C++ Messaging Client Examples
  Tables 4.2 ... 4.8 should have better row captions, something like:
  'example name' (left one) and 'example description' (right one)

4.3. .NET Binding Class Mapping to Underlying C++ Messaging API
  - Tables 4.9 ... 4.16 are not easily readable
    The suggestion is to have three rows 10%, 45%, 45% for desc, c++ and c# API prototypes
  - Some of the tables tables 4.9 ... 4.16 contains 'TODO' which should go away

Comment 10 Chuck Rolke 2010-12-09 20:17:26 UTC
I have incorporated all of Frantisek's suggestions except for the "next receiver" description. That part is out of my area of expertise.

The new document set is checked in under r53826, and r53833 
ecs/Red_Hat_Enterprise_MRG/1.3/Programming_in_Apache_Qpid/en-US/*

I will replicate the current state of the documents upstream
qpid/doc/book/src/*

Regards,
Chuck

Comment 11 Lana Brindley 2010-12-12 20:19:59 UTC
Waiting on Irina's signoff to go ahead with editing. Project status is now YELLOW for on-time completion.

LKB

Comment 13 Lana Brindley 2010-12-12 23:33:20 UTC
Thanks Irina. Commencing work today.

LKB

Comment 14 Chuck Rolke 2010-12-13 18:37:04 UTC
Changes for Publican document in Comment 10 have been replicated upstream in Qpid r1045272.

Comment 15 Lana Brindley 2010-12-14 01:37:44 UTC
Editing completed in revision 1-3, available on the stage for review shortly.

LKB

Comment 16 Lana Brindley 2010-12-14 03:25:46 UTC
Package: Red_Hat_Enterprise_MRG-Programming_in_Apache_Qpid-1.3-web-en-US
NVR: Red_Hat_Enterprise_MRG-Programming_in_Apache_Qpid-1.3-web-en-US-1-4.el5
User: lbrindle
Status: complete
Tag Operation: tagged
Into Tag: docs-5E-private

Red_Hat_Enterprise_MRG-Programming_in_Apache_Qpid-1.3-web-en-US-1-4.el5 successfully tagged into docs-5E-private by lbrindle

Requested to be tagged public in RT3: https://engineering.redhat.com/rt3/Ticket/Display.html?id=79220

Will close this bug once confirmed public.

LKB

Comment 17 Chuck Rolke 2010-12-14 16:46:14 UTC
Reviewing ECS changes:

Overall 

 * I generally approve of the document.

Specific comments

 File: Using_the_Qpid_Messaging_API.xml (these are trivial...)
 * Line 2618 starting with "Qpidd" was not a typo. 
   (qpidd is the executable broker daemon)
 * In line 2653 "fo example" typo.

File:  Net_Binding_for_CPP.xml (this actually needs an ECS-level decision)
 * Removing the ascii-art diagram from 4.1 orphans Table 4.1. 
   The table is discussing components that are not mentioned anywhere else. 
   I suggest also removing:
   - section 4.1 .NET Binding for the C++ Messaging Client Component Architecture
   - table 4.1 .NET Binding for the C++ Messaging Client Component Architecture
   Leave the <note> discussing framework versions attached to the introductory sentence

-Chuck

Comment 18 Lana Brindley 2010-12-14 19:37:07 UTC
(In reply to comment #17)
> Reviewing ECS changes:
> 
> Overall 
> 
>  * I generally approve of the document.

Thanks!

> 
> Specific comments
> 
>  File: Using_the_Qpid_Messaging_API.xml (these are trivial...)
>  * Line 2618 starting with "Qpidd" was not a typo. 
>    (qpidd is the executable broker daemon)

If we're referring to the daemon here, and not the product, then it needs to be "qpidd" not "Qpidd". To get around the capitalisation issues for the beginning of the sentence, I've changed it to "The <command>qpidd</command> daemon ..." instead.

>  * In line 2653 "fo example" typo.

Fixed.

> 
> File:  Net_Binding_for_CPP.xml (this actually needs an ECS-level decision)
>  * Removing the ascii-art diagram from 4.1 orphans Table 4.1. 
>    The table is discussing components that are not mentioned anywhere else. 
>    I suggest also removing:
>    - section 4.1 .NET Binding for the C++ Messaging Client Component
> Architecture
>    - table 4.1 .NET Binding for the C++ Messaging Client Component Architecture
>    Leave the <note> discussing framework versions attached to the introductory
> sentence

Done. It's just commented out for now, so we can easily re-enable it when the graphic is finished.

Revision 1-5.

LKB

Comment 19 Lana Brindley 2010-12-15 00:18:05 UTC
Published 15 December 2010:
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.3/html/Programming_in_Apache_Qpid/index.html

Please raise any issues as new bugs against this live version.

Thanks,
LKB


Note You need to log in before you can comment on or make changes to this bug.